/**This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 * Created on Jan 22, 2003
 * Copyright (C) 2002  Aditisoft Inc
 */
package com.aditisoft.editor;

/**
 * @author Anil K Patel
 * 
 * Constants used in Editor Applet.
 */
public interface EditorActionConstants {

   /** Read action */
   public static final String EDIT_ACTION_READ = "read";
   /** Save action */
   public static final String EDIT_ACTION_SAVE = "save";
	public static final String EDIT_ACTION_SAVEEXIT = "saveexit";
	/** Exit action */
	public static final String EDIT_ACTION_EXIT = "exit";

	/** Parameter for a filename */
	public static final String PARA_FILE = "file";
	/** Parameter for action commands */
	public static final String PARA_ACTION = "action";
	/** Parameter for text/html editor content */
	public static final String PARA_CONTENT = "content";
   public static final String PARA_TOKEN_MARKER = "tokenMarker";
   public static final String PARA_EDIT_ACTION_CC = "editActionCC";
   
   public static final String PARA_BODY_SELECTOR = "as_body_selector";
   public static final String PARA_BODY_CLASS = "as_bodyclass";
   public static final String PARA_BODY_FILE = "as_bodyfile";
   public static final String PARA_MASTER_TEMPLATE = "as_master_template";
   public static final String PARA_START_VIEW = "startview";
   public static final String PARA_START_VIEW_HTML = "html";
   public static final String PARA_START_VIEW_SOURCE = "sourcecode";
   
}
